#ifndef __HBM_ETH_CORE_H__
#define __HBM_ETH_CORE_H__

/*
 * Copyright (C) 2011 Hottinger Bruel & Kjaer Benelux B.V.
 * Schutweg 15a
 * 5145NP Waalwijk
 * The Netherlands
 * http://www.hbm.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <linux/interrupt.h>
#include <linux/ioctl.h>

struct hbm_eth_dev {
	struct pci_dev *		pci_dev;
	struct pci_device_id *	pci_dev_id;

	unsigned long			eth_mem_base_phys;
	void *					eth_mem_base_virt;
	size_t					eth_mem_size;

	dev_t					chrdev_region;
	struct cdev				cdev;
};

#endif /* __HBM_ETH_CORE_H__ */
